4 2
Sign in to rate

Sanseido Definitions Python3 Anki2.1

<10kB. Updated 2019-02-09. Only supports Anki 2.1.x.

Description

Port of https://ankiweb.net/shared/info/1967553085 compatible with Python 3 and Anki 2.1 Put in a folder inside addons21 e.g. addons21/sanseido/__init__.py Make sure you have beautifulsoup4 installed (pip3 install beautifulsoup4).

Download

As add-ons are programs downloaded from the internet, they are potentially malicious. You should only download add-ons you trust.

To download this add-on, please copy and paste the following code into Anki 2.1:

1974048692

If you were linked to this page from the internet, please open Anki on your computer, go to the Tools menu and then Add-ons>Browse & Install to paste in the code.

All Anki 2.1.x Add-Ons

Reviews

on 1621804714
it doesn't work because the sanseido site shut down. CAN SOMEONE port the hanseido plugin (for korean) that's based on this plugin to anki 2.1!!
on 1620073339
Used to work fine but hasn't worked for me in about half a year. I was hoping for an update :(
on 1612334396
Doesn't seem to work anymore. When you run you get the following error:

Traceback (most recent call last):
File "urllib\request.py", line 1317, in do_open
File "http\client.py", line 1230, in request
File "http\client.py", line 1276, in _send_request
File "http\client.py", line 1225, in endheaders
File "http\client.py", line 1004, in _send_output
File "http\client.py", line 944, in send
File "http\client.py", line 915, in connect
File "socket.py", line 787, in create_connection
File "socket.py", line 914, in getaddrinfo
socket.gaierror: [Errno 11002] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "urllib\request.py", line 222, in urlopen
File "urllib\request.py", line 525, in open
File "urllib\request.py", line 542, in _open
File "urllib\request.py", line 502, in _call_chain
File "urllib\request.py", line 1346, in http_open
File "urllib\request.py", line 1320, in do_open
urllib.error.URLError: <urlopen error [Errno 11002] getaddrinfo failed>
Traceback (most recent call last):
File "urllib\request.py", line 1317, in do_open
File "http\client.py", line 1230, in request
File "http\client.py", line 1276, in _send_request
File "http\client.py", line 1225, in endheaders
File "http\client.py", line 1004, in _send_output
File "http\client.py", line 944, in send
File "http\client.py", line 915, in connect
File "socket.py", line 787, in create_connection
File "socket.py", line 914, in getaddrinfo
socket.gaierror: [Errno 11002] getaddrinfo failed
on 1593996783
It works, but only if you do the following 2 things:

1) The fields "Expression" and "Sanseido" are required in the note model (the original plugin this one is based on required "Word" instead of "Expression")

2) You must have more than 1 card selected in the browser's card list before clicking Edit -> Regenerate Sanseido definitions. If you only have one card selected, Anki displays a field editor for the selected card's note below the card list, and this seems to prevent the plugin from making changes to that card. The workaround is to select at least two cards in the browser's card list so that Anki does not show the note field editor below the card list. Japanese Definition Scraper from weblio Dictionary (2055037404) is also based on the original Sanseido plugin and has fixed this problem, but it pulls definitions from Weblio instead of Sanseido.
on 1573609310
thanks. could you update the hanseido plugin? https://ankiweb.net/shared/info/367700876
on 1563960060
It shows up on the edit button, but it doesn't fetch the definition, I've checked the code and found that its "Expression" and "Sanseido" fields are required which I added. any instructions on how to use it? thanks!